Cassandra.Processor.system_drop_column_family (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.thrift

## Class Cassandra.Processor.system_drop_column_family<I extends Cassandra.Iface>

- java.lang.Object
- - org.apache.thrift.ProcessFunction<I,Cassandra.system_drop_column_family_args>
  - - org.apache.cassandra.thrift.Cassandra.Processor.system_drop_column_family<I>

- Enclosing class:
    Cassandra.Processor<I extends Cassandra.Iface>

      public static class Cassandra.Processor.system_drop_column_family<I extends Cassandra.Iface>
      extends org.apache.thrift.ProcessFunction<I,Cassandra.system_drop_column_family_args>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `system_drop_column_family()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Cassandra.system_drop_column_family_args` | `getEmptyArgsInstance()`
    `Cassandra.system_drop_column_family_result` | `getResult(I iface, Cassandra.system_drop_column_family_args args)`
    `protected boolean` | `isOneway()`

    - ### Methods inherited from class org.apache.thrift.ProcessFunction

      `getMethodName, process`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### system_drop_column_family

          public system_drop_column_family()

  - ### Method Detail

    - #### getEmptyArgsInstance

          public Cassandra.system_drop_column_family_args getEmptyArgsInstance()

      Specified by:
        `getEmptyArgsInstance` in class `org.apache.thrift.ProcessFunction<I extends Cassandra.Iface,Cassandra.system_drop_column_family_args>`

    - #### isOneway

          protected boolean isOneway()

      Specified by:
        `isOneway` in class `org.apache.thrift.ProcessFunction<I extends Cassandra.Iface,Cassandra.system_drop_column_family_args>`

    - #### getResult

          public Cassandra.system_drop_column_family_result getResult(I iface,
                                                                      Cassandra.system_drop_column_family_args args)
                                                               throws org.apache.thrift.TException

      Specified by:
        `getResult` in class `org.apache.thrift.ProcessFunction<I extends Cassandra.Iface,Cassandra.system_drop_column_family_args>`
      Throws:
        `org.apache.thrift.TException`

Copyright © 2018 The Apache Software Foundation